Bug 1571474 - With the removal of tools package, we may have lost some important things
Summary: With the removal of tools package, we may have lost some important things
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python3
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-24 22:50 UTC by Miro Hrončok
Modified: 2018-08-29 09:58 UTC (History)
9 users (show)

Fixed In Version: python3-3.7.0-8.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-29 09:58:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2018-04-24 22:50:16 UTC
We have quite recently removed the tools package and the tools from within.
I now needed to use the pygettext.py (mentioned in the docs[1]) and it is gone.

[1] https://docs.python.org/3/library/gettext.html


This is a list of things that python2-tools has, with explanations:

$ rpm -ql python2-tools | grep ^/usr/bin | grep -v 2
/usr/bin/idle                 moved to python3-idle
/usr/bin/msgfmt.py            GONE
/usr/bin/pygettext.py         GONE
/usr/bin/pynche               GONE
/usr/bin/smtpd.py             is in /usr/lib64/python3.6/smtpd.py

While I doubt the usefulness of pynche; msgfmt.py and pygettext.py are mentioned in tutorials, docs, stack overflow answers, etc.

I think we should reintroduce msgfmt3{,.6}.py and pygettext3{,.6}.py in /usr/bin trough python3-devel. Also, we might want to talk to upstream to make this work trough python3 -m gettext (or python3 -m gettext.msgfmt respectively).

Thoughts?

Comment 1 Petr Viktorin 2018-04-24 22:55:25 UTC
+1

Comment 2 Charalampos Stratakis 2018-04-25 14:23:20 UTC
Agree.

Comment 4 Miro Hrončok 2018-07-26 12:34:16 UTC
PR: https://src.fedoraproject.org/rpms/python3/pull-request/47


Note You need to log in before you can comment on or make changes to this bug.